`timescale 1ns / 1ps

module lvmb_adc_sdo_mux(
  input [6:0] adc_sdo,
  input [6:0] adc_ce,
  output reg sdo);

  
  always @(adc_ce or adc_sdo)
		 case (adc_ce)
		    7'b1111110: sdo <= adc_sdo[0];
		    7'b1111101: sdo <= adc_sdo[1];
		    7'b1111011: sdo <= adc_sdo[2];
		    7'b1110111: sdo <= adc_sdo[3];
		    7'b1101111: sdo <= adc_sdo[4];
		    7'b1011111: sdo <= adc_sdo[5];
		    7'b0111111: sdo <= adc_sdo[6];
		    default: sdo <= 1'b0;
		 endcase
  
  
endmodule
